<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Разборки банд'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();

$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));
if (isset($user) & $user['rating']<=1000)
{
if ($user['pol']==0){echo "Извини <b>красавица,</b> \n";} else {echo "<b>Извини братан,</b> \n";}
echo "но чтобы попасть на Разборки банд  нужно иметь хотябы <b>1000</b> рейтинга<br/>У вас <b>$user[rating]</b> рейтинга\n";
echo '<div class="page_foot"> - <a href="index.php">В город</a></div>';
}
else
{
if(isset($user)){
if($gconf[0]['open']!=1){




$myband=mysql_query("SELECT * FROM `gorod_band` WHERE `glava`='".$user['nick']."'");
if(!mysql_num_rows($myband)){echo 'Разборки только для главарей банд!';}else{
$myband=mysql_fetch_assoc($myband);

$action=htmlspecialchars(trim($_GET['action']));


switch ($action){

default:

echo 'Введите логин главаря банды (<a href="rband.php">посмотреть</a>)<br/>';
echo 'В случае удачи весь капитал банды будет переведён вам в общак!<br/>';
echo 'Банда проигравшего удаляется!';
echo '<form action="bandnap.php?action=go" method="post">';
echo 'Ник главаря банды:<br/>';
echo '<input name="glava" value=""/><br/>';
echo '<input type="submit" value="Напасть"/></form>';
break;


case 'go':
$glava=htmlspecialchars(mysql_real_escape_string(trim($_POST['glava'])));
if(!$glava){echo 'Пустые параметры!';break;};
if($glava==$user['nick']){echo 'Ты чё тупой сам себя пресовать?';break;};
$band=mysql_query("SELECT * FROM `gorod_band` WHERE `glava`='$glava'");
if(!mysql_num_rows($band)){echo 'Такой банды не существует!';break;};
$band=mysql_fetch_assoc($band);
echo '-----------------------------<br/>';
echo 'Главарь: <b><font color="red">'.$band['glava'].'</font></b><br/>';
echo 'Название:<b> <font color="red">'.$band['name'].'</font></b><br/>';
echo 'Общак:<font color="red"> <b>'.$band['balans'].'$</b></font><br/>';
$members=mysql_query("SELECT count(*) FROM `user` WHERE `gorod_band`='".$band['name']."'");
$members=mysql_fetch_array($members);
echo 'Кол-во бандитов:<b> <font color="red">'.$members[0].'</font></b><br/>';
echo 'Разбито банд:<b> <font color="red">'.$band['kill'].'</font></b>';
echo '<br/>-----------------------------<br/>';
echo '<a href="bandnap.php?action=es&amp;glava='.$glava.'">Наехать</a><br/>';
break;


case 'es':
$glava=htmlspecialchars(mysql_real_escape_string(trim($_GET['glava'])));
if(!$glava){echo 'Пустые параметры!';break;};
if($glava==$user['nick']){echo 'Ты чё тупой сам себя пресовать?';break;};
$band=mysql_query("SELECT * FROM `gorod_band` WHERE `glava`='$glava'");
if(!mysql_num_rows($band)){echo 'Такой банды не существует!';break;};
$band=mysql_fetch_assoc($band);
$members=mysql_query("SELECT count(*) FROM `user` WHERE `gorod_band`='".$band['name']."'");
$members=mysql_fetch_array($members);
$mymembers=mysql_query("SELECT count(*) FROM `user` WHERE `gorod_band`='".$myband['name']."'");
$mymembers=mysql_fetch_array($mymembers);

$win=$members[0]+$band['kill']+$band['bal']+rand(1,5);
$mywin=$mymembers[0]+$myband['kill']+$myband['bal']+rand(1,5);
if($mywin==$win){echo 'Силы были равны! Все пострадали но никто не проиграл!';break;};
if($mywin>$win){
mysql_query("DELETE FROM `gorod_band` WHERE `name`='".$band['name']."'");
mysql_query("UPDATE `user` SET `gorod_band`='' WHERE `gorod_band`='".$band['name']."'");
mysql_query("UPDATE `gorod_band` SET `balans`=`balans`+'".$band['balans']."',`kill`=`kill`+1,`bal`=`bal`+'".rand(1,2)."' WHERE `glava`='".$user['nick']."'");
echo 'Ваша банда победила! Банда опонента уничтожена, их общак переведён вам!';
}else{
mysql_query("DELETE FROM `gorod_band` WHERE `name`='".$myband['name']."'");
mysql_query("UPDATE `user` SET `gorod_band`='' WHERE `gorod_band`='".$myband['name']."'");
mysql_query("UPDATE `gorod_band` SET `balans`=`balans`+'".$myband['balans']."',`kill`=`kill`+1,`bal`=`bal`+'".rand(1,2)."' WHERE `glava`='".$band['glava']."'");
echo 'Ваша банда разбита! Банда опонента получает ваш общак! У вас больш нет банды!';
};


break;




};
};
echo '<div class="msg"><a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};
}
include_once '../sys/inc/tfoot.php';
?>